Create custom skill
Creates a custom skill and returns the created row.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/skills" \ -H "Content-Type: application/json" \ -d '{ "organization_id": "string", "name": "string", "description": "string", "body": "string" }'{ "skill": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "codename": "string", "organization_id": "string", "source": "built-in", "name": "string", "description": "string", "body": "string", "files": "string", "author": "string", "project_scoped": true, "visibility": "private", "workspace_role": "viewer", "created_by_id": "string", "mod_shortcut_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}